# Protocols is a layer that help to interact with the ruby implementation of
# IMAP, SMTP, and the mail standard.
#
# @example
#     @smtp_client = Protocols::Smtp.new
#     @imap_client = Protocols::Imap.new
#     mail = Protocols::Mail.new(imap_mail: imap_mail)
module Protocols
  FULL     = "RFC822".freeze
  HEADERS  = "RFC822.HEADER".freeze
  BODYTEXT = "BODY[TEXT]".freeze
  ENVELOPE = "ENVELOPE".freeze
  UID      = "UID".freeze
  SEQ      = "BODY[HEADER.FIELDS (X-SEQUENCE)]".freeze
  MSG_ID   = "BODY[HEADER.FIELDS (MESSAGE-ID)]".freeze
end

require_relative "protocols/mail"
require_relative "protocols/smtp"
require_relative "protocols/imap"
